Reset Backup Codes

Resets and generates a new set of backup codes for the specified User.

GET
/identity/v2/manage/account/2fa/backupcode/reset

Resets and generates a new set of backup codes for the specified User.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Query Parameters

uid*string

The UID associated with the User

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/manage/account/2fa/backupcode/reset?uid=43e4417bd2de4a1fa82445274f864203"
{
  "BackUpCodes": [
    "ABC123DEF",
    "XYZ789GHI",
    "JKL456MNO",
    "PQR987STU",
    "VWX654YZA"
  ]
}

{
  "ErrorCode": 1214,
  "Message": "Dangerous request",
  "Description": "A potentially dangerous request value was detected."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}